Bug 457917 - (stress) Review Request: stress - tool to impose stress on a POSIX-compliant operating system
Review Request: stress - tool to impose stress on a POSIX-compliant operating...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 09:10 EDT by Kevin Verma
Modified: 2013-10-19 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 15:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2008-08-05 09:10:02 EDT
Spec URL: http://kevinverma.fedorapeople.org/packages/stress/0.18.8/stress.spec
SRPM URL: http://kevinverma.fedorapeople.org/packages/stress/0.18.8/stress-0.18.8-1.4.fc9.src.rpm

Description: Stress is a tool which imposes a configurable amount of CPU, memory, I/O, or disk stress on a POSIX-compliant operating system. Stress is written in highly-portable ANSI C, and uses the GNU Autotools to compile on a great number of UNIX-like operating systems.

Stress is not a benchmark, it is rather a tool which puts the system under a repeatable, defined amount of load so that a systems programmer or system administrator can analyze the performance characteristics of the system or specific components thereof.
Comment 1 Kevin Verma 2008-08-05 09:10:57 EDT
I am a new contributor and I am seeking a sponsor
Comment 2 Jon Ciesla 2008-09-09 14:48:08 EDT
I am a sponsor, and am willing to sponsor you if all goes well.  While I'm looking at this, can you provide links to some pre-reviews you've done, and if you've not done any yet, I suggest doing a few, and post links here.

Initial review to follow. . .
Comment 3 Jon Ciesla 2008-09-09 14:58:52 EDT
- MUST: rpmlint must be run on every package. The output should be posted in the review.

stress.src:35: W: setup-not-quiet
Use the -q option to the %setup macro to avoid useless build output from
unpacking the sources.

Fix.

stress.src: W: summary-not-capitalized tool to impose stress on a POSIX-compliant operating system
Summary doesn't begin with a capital letter.

Fix.

stress.src: W: invalid-license GPL
The value of the License tag was not recognized.  Known values are: "Adobe",
"ADSL", "AFL", "AGPLv1", "AGPLv3", "AMPAS BSD", "ARL", "ASL 1.0", "ASL 1.0+",
"ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+",
"Artistic 2.0", "Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with
advertising", "CeCILL", "CDDL", "CPAL", "CPL", "Condor", "Copyright only",
"Crystal Stacker", "DOC", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+",
"EPL", "ERPL", "EU Datagrid", "Fair", "FTL", "Giftware", "GL2PS", "Glide",
"gnuplot", "GPL+", "GPL+ or Artistic", "GPLv1", "GPLv2+ or Artistic", "GPLv2",
"GPLv2 with exceptions", "GPLv2+", "GPLv2+ with exceptions", "GPLv3", "GPLv3
with exceptions", "GPLv3+", "GPLv3+ with exceptions", "IBM", "IJG",
"ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase", "ISC", "Jabber",
"JasPer", "LBNL BSD", "LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+
with exceptions", "LGPLv3", "LGPLv3 with exceptions", "LGPLv3+", "LGPLv3+ with
exceptions", "libtiff", "LLGPL", "LPL", "LPPL", "mecab-ipadic", "MIT", "MIT
with advertising", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+",
"NCSA", "NetCDF", "NGPL", "NOSL", "Naumen", "Netscape", "Nokia", "OpenLDAP",
"OpenPBS", "OReilly", "OSL 1.0", "OSL 1.0+", "OSL 1.1", "OSL 1.1+", "OSL 2.0",
"OSL 2.0+", "OSL 2.1", "OSL 2.1+", "OSL 3.0", "OSL 3.0+", "OpenSSL", "Phorum",
"PHP", "Public Domain", "Python", "Qhull", "QPL", "RiceBSD", "RPSL", "Ruby",
"SCRIP", "Sendmail", "Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD",
"VOSTROM", "Vim", "VNLSL", "VSL", "W3C", "WTFPL", "wxWidgets", "Xerox",
"xinetd", "YPLv1.1", "Zend", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+",
"ZPLv2.1", "ZPLv2.1+", "zlib", "zlib with acknowledgement", "CDL", "FBSDDL",
"GFDL", "IEEE", "OFSFDL", "Open Publication", "Public Use", "CC-BY", "CC-BY-
SA", "CC-BY-ND", "DSL", "EFML", "Free Art", "Arphic", "Baekmuk", "Bitstream
Vera", "Liberation", "Lucida", "mplus", "OFL", "STIX", "Utopia", "XANO",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

According to the source, this should be GPLv2+.

stress.i386: W: spurious-executable-perm /usr/share/doc/stress-0.18.8/NEWS
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

stress.i386: W: spurious-executable-perm /usr/share/doc/stress-0.18.8/AUTHORS
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

stress.i386: W: spurious-executable-perm /usr/share/doc/stress-0.18.8/README
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

Fix these.  You can chmod in %setup.

MUST: The package must be named according to the  Package Naming Guidelines .
- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
- MUST: The package must meet the Packaging Guidelines .
- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
- MUST: The License field in the package spec file must match the actual license.
- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package MUST be legible. If the reviewer is unable to read the spec file, it will be impossible to perform a review. Fedora is not the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/).
- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
- MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number should then be placed in a comment, next to the corresponding ExcludeArch line. New packages will not have bugzilla entries during the review process, so they should put this description in the comment until the package is approved, then file the bugzilla entry, and replace the long explanation with the bug number. The bug should be marked as blocking one (or more) of the following bugs to simplify tracking such issues: FE-ExcludeArch-x86 , FE-ExcludeArch-x64 , FE-ExcludeArch-ppc , FE-ExcludeArch-ppc64
- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
- MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. If the package has multiple subpackages with libraries, each subpackage should also have a %post/%postun section that calls /sbin/ldconfig. An example of the correct syntax for this is:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

Good.

- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.

Good.

- MUST: A package must not contain any duplicate files in the %files listing.

Good.
- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

Good.

- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).

Good.

- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .

Drop the conditional BRs for the various releases and just specify glibc-headers.

- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .

Good.

- MUST: Large documentation files should go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity)

Good.

- MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

Good.

- MUST: Header files must be in a -devel package.

NA.

- MUST: Static libraries must be in a -static package.

NA.

- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).

NA.

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

NA.

- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

NA.

- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.

NA.

- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. This is described in detail in the desktop files section of the Packaging Guidelines . If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

NA.

- MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

NA.

- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.

Good.

- MUST: All filenames in rpm packages must be valid UTF-8.

Good.

Working on a mock build, which will test BuildRequires.
Comment 4 Jon Ciesla 2008-09-09 15:08:34 EDT
Mock build is good.  Fix the above, and show me so pre-reviews of others' packages, and I can approve and sponsor.
Comment 5 Jon Ciesla 2008-10-08 09:10:33 EDT
Update?
Comment 6 Eric Sandeen 2008-12-10 12:42:40 EST
For future generations (just in case this gets dropped for now), the upstream for this package seems to be at http://weather.ou.edu/~apw/projects/stress/
Comment 7 Jon Ciesla 2008-12-10 12:52:56 EST
I may pick this up if I don't hear anything soon.
Comment 8 Jon Ciesla 2009-03-31 09:17:43 EDT
Ping?  Will take over if no reply from Kevin.  Anyone know if that will require a new review?
Comment 9 Jon Ciesla 2009-04-14 16:11:49 EDT
Final ping?
Comment 10 Jon Ciesla 2010-04-29 15:59:27 EDT
And one year.  I'll close this and submit a new review.

Note You need to log in before you can comment on or make changes to this bug.